local mu = 1.4
local len = 0.1 --suspension
local rad = 0.25 -- wheel radius
local wx, wf, wb, wz = 0.65, 1.311, -1.12, -0.2 -- wheel position data, see below

streamer:addClass("vehicles/Nova", extends(Vehicle) {
        gfxMesh = "vehicles/Nova/Body.mesh",
        colMesh = "vehicles/Nova/Body.tcol",
        powerPlots = {
                [-1] = { [0] = -900; [10] = -1900; [25] = -500; [40] = 0; },
                [0] = {}, --neutral
                [1] = { [0] = 1000; [10] = 1500; [25] = 2500; [60] = 2900; [100] = 3000; [120] = 1000; },
        },
        wheelInfo = {
                {pos=Vector3(-wx, wf, wz);
                 left=true; steer=1; drive=1; handbrake=false;
                 mesh="vehicles/Nova/Wheel.mesh"; len=len; rad=rad;
                 mu = mu;
                },

                {pos=Vector3(wx, wf, wz);
                 left=false; steer=1; drive=1; handbrake=false;
                 mesh="vehicles/Nova/Wheel.mesh"; len=len; rad=rad;
                 mu = mu;
                },

                {pos=Vector3(-wx, wb, wz);
                 left=true; steer=0; drive=false; handbrake=true;
                 mesh="vehicles/Nova/Wheel.mesh"; len=len; rad=rad;
                 mu = mu;
                },

                {pos=Vector3(wx, wb, wz);
                 left=false; steer=0; drive=false; handbrake=true;
                 mesh="vehicles/Nova/Wheel.mesh"; len=len; rad=rad;
                 mu = mu;
                },
        },
},{})

streamer:addClass("vehicles/NovaChassis", ColClass, { gfxMesh="vehicles/Nova/Body.mesh", colMesh="vehicles/Nova/Body.tcol" })

material "vehicles/Nova/Body" { diffuseMap = "./Body.png"; }
material "vehicles/Nova/Wheel" { diffuseMap = "common/Barrier/Tyre.png"; }

-- vim: shiftwidth=8:tabstop=8:expandtab
